<?php 

 /*
 * Enqueue.php
 * 
 * This file is part of the "gotoviar" project.
 * See "LICENSE" for license information.
 */

/**
 * @package gotoviarplugin
 */
namespace GTVR\Base;

use \GTVR\Base\GTVR_BaseController;

/**
* 
*/
class GTVR_Enqueue extends GTVR_BaseController
{
	public function register() {
		add_action( 'admin_enqueue_scripts', array( $this, 'admin_enqueue' ) );
		add_action( 'wp_enqueue_scripts', array( $this, 'wp_enqueue' ) );
	}
	
	function admin_enqueue() {
		// enqueue all our admin scripts
		// <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
		wp_enqueue_style( 'bootstrap_css', 'https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css' );

		wp_enqueue_script( 'bootstrap_javascript', 'https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js' );
	}

	function wp_enqueue() {
		// enqueue all our scripts
	}	
}